# StashEzidDatacite

This presents a simple interface for minting an EZID item and updating the metadata.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'stash_ezid_datacite'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install stash_ezid_datacite

## Usage

Simple example usage

```ruby
@client = StashEzid::Client.new(shoulder: 'doi:10.5072/FK', account: 'apitest', password: '', owner: nil, id_scheme: 'doi') # fill in api test password on this line

identifier = @client.mint_id

# ... build an XML string here with your DataCite metadata and identifier as xml_str ...

@client.update_metadata(identifier, xml_str)  # the return value.msg will equal "OK" if the update succeeds.
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/stash_ezid_datacite.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

